package main

import (
	"mvvasilev.dev/pilgrim/internal/pilgrim_conf"
	"mvvasilev.dev/pilgrim/internal/pilgrim_core"
)

func main() {
	pilgrimContext := pilgrim_conf.NewPilgrimContext(
		pilgrim_conf.CliContext(),
		pilgrim_conf.NewEnvVarContext(),
	)

	pilgrim := pilgrim_core.NewPilgrim(pilgrimContext)

	pilgrim.Execute()
}
